Is my iOS device supported?

This article will help you determine if VirtualShield is compatible with your iOS phone or tablet.

Check Device Compatibility

VirtualShield is fully compatible with all modern iOS devices.
If you can open the Apple Store and install other apps on your device, then it is likely you can install VirtualShield as well.

However, there are a few devices that are too old to run our official mobile app. Use this page to figure out if VirtualShield is supported on your device or not.

Note: If your device is not supported, or if it is not listed below, you can try installing one of our browser extensions instead.

iPhone/iPad (iOS)

Our iPhone/iPad App is compatible with Apple iOS version 9.0 and above.

Check iOS Version

Follow the instructions below to determine which version of Apple iOS you're using:

1
Navigate to Settings and then General and then About.

2
You'll see the version number to the right of the Version entry on the About screen:
Note: For more information, please see this Apple support article:
https://support.apple.com/en-us/HT201685

If you need any assistance, please don't hesitate to contact us.

Still need help? Contact Us Contact Us